
import http from "@/http/http";
import { CustomerFeeSetQueryParam,SubmitCustomerFeeSetModel} from "./CustomerFeeSetModel";

enum Api{
    getCustomerFeeSetList = '/api/customerFeeSet/list',
    add = '/api/customerFeeSet/add',
    edit = '/api/customerFeeSet',
    delete = '/api/customerFeeSet'
}

//查询客户费用列表
export const getCustomerFeeSetListApi = async(parms:CustomerFeeSetQueryParam) =>{
    return  await http.get(Api.getCustomerFeeSetList,parms)
}

//新增
export const addCustomerFeeSetApi = async (parms:SubmitCustomerFeeSetModel) =>{   
    return await http.post(Api.add,parms)
}
//编辑
export const editCustomerFeeSetApi = async (parms:SubmitCustomerFeeSetModel) =>{   
    return await http.put(Api.edit,parms)
}
//删除
export const deleteCustomerFeeSetApi = async (parms:any) =>{
    return await http.delete(Api.delete,parms)
}